Skip to content
NoetherDocs

GET /v1/candles

GET
/v1/candles

OHLC candles for an asset, oldest-first. Native Noeracle candles built by the indexer aggregator; transparently falls back to Binance reference candles when the venue has none yet for that asset/interval (see the "source" field).

Query Parameters

asset*string
Length1 <= length <= 12
interval?string

Value in

  • "1m"
  • "5m"
  • "15m"
  • "1h"
  • "4h"
  • "1d"
  • "1w"
limit?integer
Range1 <= value <= 1000

Response Body

application/json

curl -X GET "https://example.com/v1/candles?asset=string"
{  "candles": [    {      "time": 0,      "open": 0,      "high": 0,      "low": 0,      "close": 0    }  ],  "source": "noeracle"}